Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.gps
Class SatelliteCatalog

    java.lang.Object
      org.ka2ddo.gps.SatelliteCatalog

    public class SatelliteCatalog

extends java.lang.Object

This class contains the current state data of the GPS satellites, as viewed from the position of the GPS receiver.

Field Summary
`short` | `fixQuality` Fix quality number (character from $GPGSA sentence).
`char` | `fixType` Type of fix (character from $GPGSA sentence).
`int` | `gpgsvCurrentSentence` Current number of $GPGSV sentences received in this go-around.
`int` | `gpgsvNumSentences` Total number of $GPGSV sentences needed to describe all satellites in use.
`float` | `hdop` Horizontal dilution of precision.
`float` | `pdop` Three-dimensional position dilution of precision.
`SatelliteState[]` | `sats` Collection of state records for each individual satellite.
`long` | `timeOfLastGpGsa` Receive time of last $GPGSA in Java milliseconds since 1 Jan 1970 UTC.
`long` | `timeOfLastGpGsv` Receive time of last $GPGSV in Java milliseconds since 1 Jan 1970 UTC.
`float` | `vdop` Vertical dilution of precision.

Constructor Summary
`SatelliteCatalog()` Create a SatelliteCatalog object.

Method Summary
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### timeOfLastGpGsa

    public long timeOfLastGpGsa

  Receive time of last $GPGSA in Java milliseconds since 1 Jan 1970 UTC.

### timeOfLastGpGsv

    public long timeOfLastGpGsv

  Receive time of last $GPGSV in Java milliseconds since 1 Jan 1970 UTC.

### fixType

    public char fixType

  Type of fix (character from $GPGSA sentence).

### fixQuality

    public short fixQuality

  Fix quality number (character from $GPGSA sentence).

### sats

    public final SatelliteState[] sats

  Collection of state records for each individual satellite. First 30 are Global Positioning System (US DoD), others are DGPS receivers or for other constellations with multi-constellation receivers.

### pdop

    public float pdop

  Three-dimensional position dilution of precision.

### hdop

    public float hdop

  Horizontal dilution of precision.

### vdop

    public float vdop

  Vertical dilution of precision.

### gpgsvNumSentences

    public int gpgsvNumSentences

  Total number of $GPGSV sentences needed to describe all satellites in use.

### gpgsvCurrentSentence

    public int gpgsvCurrentSentence

  Current number of $GPGSV sentences received in this go-around.

Constructor Detail

### SatelliteCatalog

    public SatelliteCatalog()

  Create a SatelliteCatalog object.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD